Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ee
Class InvocationManagedRuntime

    java.lang.Object
      org.apache.openjpa.ee.AbstractManagedRuntime
          org.apache.openjpa.ee.InvocationManagedRuntime

All Implemented Interfaces:
  ManagedRuntime, Configurable

    public class InvocationManagedRuntime

extends AbstractManagedRuntime
implements ManagedRuntime, Configurable

Implementation of the `ManagedRuntime` interface that uses a static method call to find the TransactionManager. For example, to configure it to use IBM Websphere's TransactionManager, use the method:
`com.ibm.ejs.jts.jta.JTSXA.getTransactionManager`

Author:
  Marc Prud'hommeaux

Constructor Summary
`InvocationManagedRuntime()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`Throwable` | `getRollbackCause()` Returns the Throwable that caused the current transaction to be marked for rollback, provided that any exists.
`TransactionManager` | `getTransactionManager()` Return the TransactionManager for the managed runtime.
`String` | `getTransactionManagerMethod()` Return the method to invoke to get the `TransactionManager`.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `setRollbackOnly(Throwable cause)` Sets the rollback only flag on the current transaction.
`void` | `setTransactionManagerMethod(String methodName)` Set the method to invoke to get the `TransactionManager`.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class org.apache.openjpa.ee.AbstractManagedRuntime
`doNonTransactionalWork, getTransactionKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.ee.ManagedRuntime
`doNonTransactionalWork, getTransactionKey`

Constructor Detail

### InvocationManagedRuntime

    public InvocationManagedRuntime()

Method Detail

### getTransactionManagerMethod

    public String getTransactionManagerMethod()

  Return the method to invoke to get the `TransactionManager`.

### setTransactionManagerMethod

    public void setTransactionManagerMethod(String methodName)

  Set the method to invoke to get the `TransactionManager`. E.g.: com.ibm.ejs.jts.jta.JTSXA.getTransactionManager

### getTransactionManager

    public TransactionManager getTransactionManager()
                                             throws Exception

  Description copied from interface: `ManagedRuntime`
  Return the TransactionManager for the managed runtime. This manager is used to register synchronization listeners, to map transactional PersistenceManagers to the current transaction, and possibly to enlist XA resources.

  Specified by:
    `getTransactionManager` in interface `ManagedRuntime`
  Throws:
    `Exception`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.

  Specified by:
    `endConfiguration` in interface `Configurable`

### setRollbackOnly

    public void setRollbackOnly(Throwable cause)
                         throws Exception

  Description copied from interface: `ManagedRuntime`
  Sets the rollback only flag on the current transaction. If the TransactionManager is capable of tracking the cause of the rollback-only flag, it will also pass along cause information.

  Specified by:
    `setRollbackOnly` in interface `ManagedRuntime`
  Parameters:
    `cause` - the Throwable that caused the transaction to be marked for rollback, or null of none is known
  Throws:
    `Exception`

### getRollbackCause

    public Throwable getRollbackCause()
                               throws Exception

  Description copied from interface: `ManagedRuntime`
  Returns the Throwable that caused the current transaction to be marked for rollback, provided that any exists.

  Specified by:
    `getRollbackCause` in interface `ManagedRuntime`
  Returns:
    the Throwable cause, or null if none
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.